List skills
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/skills \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skills": [
{
"sId": "skill_abc123",
"createdAt": 123,
"updatedAt": 123,
"editedBy": 123,
"status": "active",
"name": "Customer Support",
"agentFacingDescription": "Use this skill to answer customer support questions.",
"userFacingDescription": "Answers support questions with the right workspace context.",
"icon": "ActionRobotIcon",
"sourceMetadata": {
"repoUrl": "https://github.com/dust-tt/skills",
"filePath": "support/SKILL.md"
},
"lastReinforcementAnalysisAt": "<string>",
"requestedSpaceIds": [
"<string>"
],
"fileAttachments": [
{
"fileId": "<string>",
"fileName": "<string>"
}
],
"canWrite": true,
"isDefault": true,
"instructions": "<string>",
"instructionsHtml": "<string>",
"tools": [
{
"id": 123,
"sId": "mcp_sv_abc123",
"name": "My Custom MCP Server",
"description": "This MCP server handles customer data operations",
"createdAt": 1625097600,
"updatedAt": 1625184000,
"spaceId": "spc_xyz789",
"serverType": "remote",
"server": {
"sId": "mcp_srv_def456",
"name": "Customer Data Server",
"version": "1.0.0",
"description": "Handles customer data operations and queries",
"icon": "database",
"authorization": {
"provider": "github",
"supported_use_cases": [
"platform_actions"
],
"scope": "repo:read"
},
"tools": [
{
"name": "query_customers",
"description": "Query customer database for information",
"inputSchema": {
"type": "object",
"properties": {
"customerId": {
"type": "string"
}
}
}
}
],
"availability": "production",
"allowMultipleInstances": false,
"documentationUrl": "https://docs.example.com/mcp-server"
},
"oAuthUseCase": "platform_actions",
"editedByUser": {
"editedAt": 1625184000,
"fullName": "John Doe",
"imageUrl": "https://example.com/profile/johndoe.jpg"
}
}
]
}
]
}Skills
List skills
Retrieves the custom skills in the workspace. Active skills are returned by default.
GET
/
api
/
v1
/
w
/
{wId}
/
skills
List skills
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
Unique string identifier for the workspace
Query Parameters
Filter skills by status. Defaults to active.
Available options:
active, archived, suggested Response
Skills available in the workspace.
Show child attributes
Show child attributes
⌘I